UK Web Hosting Company

yum issues with CentOS 4.x

Posted by
Updated on12 April 2014

Not happy with your web hosting service provider?

Approx. read time : 2 min

Recently, I tried installing/updating few rpm’s with yum installer and got the error below.

Searching Packages:
Setting up repositories
not using ftp, http[s], or file for repos, skipping – 4 is not a valid release or hasnt been released yet
Cannot find a valid baseurl for repo: update
Error: Cannot find a valid baseurl for repo: update

It turned out to be an issue with End Of Life (EOL) for CentOS 4. It’s not feasible to upgrade the current CentOS version right now & the same situation will be for others too. There is a workaround to overcome this error.

  Open /etc/yum.repos.d/CentOS-Base.repo in an editor
  Comment all “mirrorlist” entries.
  Uncomment the “baseurl” entries and change them to http://vault.centos.org/4.9/os/$basearch

This will allow yum to search the rpm’s from CentOS’s vault.

 
Premium Website Hosting

My name is Neha Khanna, I work for MilesWeb.com. I am interested in posting content on various topics. I aim at posting informative articles that provide value to people.